import { Filter } from '../../../domain/models/filterSql/filter';
declare const _default: {
    name: string;
    props: {
        index: NumberConstructor;
        filter: typeof Filter;
    };
    components: {};
    data: () => {
        inputType: string;
        filterList: any[];
        filterTypeList: {
            datatype: string;
            filters: {
                value: string;
                text: string;
            }[];
        }[];
        selectedValue: string;
        selectedText: string;
        activeInputValue: boolean;
        activeInputHightValue: boolean;
        activeInputLowValue: boolean;
    };
    watch: {
        value: (selectedItem: any) => void;
        index: () => void;
        filter: () => void;
    };
    methods: {
        handleClick(index: any): void;
        deleteItem(): void;
        activeInput(filterType: string): void;
    };
    mounted(): void;
};
export default _default;
